<mat-drawer-container class="example-container">
    <mat-drawer #drawer class="example-sidenav" mode="side" opened fxLayout="column">
      <div fxLayout="row">
        <h2>Private Nachrichten</h2>
        
      </div>
      <mat-divider></mat-divider>
      <div>
        <mat-list *ngFor="let user of users">
         
            <mat-list-item><div class="avatar">  <mat-icon>person</mat-icon></div>{{user.name}}</mat-list-item>
            
          <mat-divider></mat-divider>
        </mat-list>
      </div>
        <div fxLayout="row" class="bottompage centerbutton" >
          <button mat-fab color="accent"  (click)="openDialog()"> 
            <mat-icon >add</mat-icon>
          </button>
        </div>
        
    </mat-drawer>
  
    <div class="example-sidenav-content" fxLayout="column">
        <!-- <button mat-icon-button color="accent" aria-label="Example icon button with a menu icon" (click)="drawer.toggle()">
            <mat-icon>menu</mat-icon>
          </button> -->
          <div *ngIf="chat" fxFlexFill>
            <div *ngFor="let mes of chat.messages" >
              <div *ngIf="mes.sender == currusername; else elseblock">
                <div fxLayout="row" fxLayoutAlign="end">
                  <mat-card class="speechbubble speechbubble-right">{{mes.text}}</mat-card> 
                  <div class="avatar" style="margin:10px;">
                    <mat-icon>person</mat-icon>
                  </div>
                </div>

              </div>
              <ng-template #elseblock>
                <div fxLayout="row">              
                <div class="avatar" style="margin: 10px;">  <mat-icon>person</mat-icon></div>
                <mat-card  class="speechbubble speechbubble-left" >{{mes.text}}</mat-card>
              </div>
              </ng-template>
            </div>
            
            
          </div>
    
    </div>
    <div  class="bottompage inputAlign" >
      <div >
      <mat-form-field >
        <mat-label>Schreibe eine Nachricht</mat-label>
        <input matInput [(ngModel)]="messa" (keyup.enter)="sendMessage(messa)">
      </mat-form-field>

      <button mat-raised-button color="accent" (click)="sendMessage(messa)" >Senden</button>
    </div>
  </div>
  
  </mat-drawer-container>
  